Skip to main content
Resource Center/Network Service/Network Service Operations/Security Group Operations
GETSecurity Group OperationsSince 0.6SynchronousAuth Required

GetCandidateVmNicForSecurityGroup

GetCandidateVmNicForSecurityGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • securityGroupUuidStringRequired

    The security group UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • ipStringRequired

      来源IP地址。

    • macStringRequired

      No description provided.

    • netmaskStringRequired

      No description provided.

    • gatewayStringRequired

      No description provided.

    • metaDataStringRequired

      元数据。

    • ipVersionIntegerRequired

      The IP version.

    • deviceIdIntegerRequired

      设备ID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usedIpsListRequired

      See usedIps.

      • uuidStringRequired

        The resource UUID.

      • ipRangeUuidStringRequired

        The IP range UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ipVersionIntegerRequired

        The IP version.

      • ipStringRequired

        The IP address.

      • netmaskStringRequired

        The netmask.

      • gatewayStringRequired

        The gateway.

      • usedForStringRequired

        已使用用于。

      • ipInLonglongRequired

        No description provided.

      • vmNicUuidStringRequired

        The VM NIC UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/security-groups/{securityGroupUuid}/vm-instances/candidate-nics

/zstack/v1/security-groups/{securityGroupUuid}/vm-instances/candidate-nics

Operation ID

GetCandidateVmNicForSecurityGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/security-groups/{securityGroupUuid}/vm-instances/candidate-nics?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "80d2eab0354c329b8257e8f9fcd76d43", "vmInstanceUuid": "e8af62992ec5343facac7c5fc164ddd0", "l3NetworkUuid": "738cc18ef5003a00937c0e17e6c67a2d", "ip": "192.168.0.123", "mac": "fa:ef:34:5c:6c:00", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "internalName": "eth0", "deviceId": 0.0 } ] }

Change History

This API has no change history records yet.

View all change history